from setuptools import setup, find_packages

setup(
    name="reworkd_platform_Ollama",
    version="0.1.9",
    description="A platform for reworkd",
    author="awtkns, asim-shrestha",
    author_email="",
    url="https://github.com/reworkd/AgentGPT",
    packages=find_packages(),
    install_requires=[
        "fastapi==0.98.0",
        "boto3==1.28.51",
        "uvicorn[standard]==0.22.0",
        "pydantic[dotenv]<2.0",
        "ujson==5.8.0",
        "sqlalchemy[mypy,asyncio]==2.0.21",
        "aiomysql==0.1.1",
        "mysqlclient==2.2.0",
        "sentry-sdk==1.31.0",
        "loguru==0.7.2",
        "aiokafka==0.8.1",
        "requests==2.31.0",
        "langchain==0.0.295",
        "openai==0.28.0",
        "wikipedia==1.4.0",
        "replicate==0.8.4",
        "lanarky==0.7.15",
        "tiktoken==0.5.1",
        "grpcio==1.58.0",
        "pinecone-client==2.2.4",
        "python-multipart==0.0.6",
        "aws-secretsmanager-caching==1.1.1.5",
        "botocore==1.31.51",
        "stripe==5.5.0",
        "cryptography==41.0.4",
        "httpx==0.25.0",
    ],
    extras_require={
        "dev": [
            "autopep8==2.0.4",
            "pytest==7.4.2",
            "flake8==6.0.0",
            "mypy==1.5.1",
            "isort==5.12.0",
            "pre-commit==3.4.0",
            "wemake-python-styleguide==0.18.0",
            "black==23.9.1",
            "autoflake==2.2.1",
            "pytest-cov==4.1.0",
            "anyio==3.7.1",
            "pytest-env==0.8.2",
            "dotmap==1.3.30",
            "pytest-mock==3.10.0",
            "pytest-asyncio==0.21.0",
            "types-requests==2.31.0.1",
            "types-pytz==2023.3.0.0",
        ],
    },
    entry_points={
        "console_scripts": [
            "reworkd_platform=reworkd_platform.__main__:main",
        ],
    },
)
